Cap the amount of history we import from Chrome for the next onboarding funnelcake
<Gijs> mak: so my basic question is, esp. if we want to uplift to beta, what's the best way forward?
<mak> if we wantto uplift to beta, I don't see any best way forward apart from checking what the observers are doing (and maybe delay that work) and trying to use onManyFrecenciesChanged if updatePlaces is invoked with an array bigger than N
<dao> for beta specifically we could potentially add a hack that's only used for the funnelcake. obviously it can't break tons of add-ons or the places database, but it doesn't need to be perfect either
...
<mak> btw, the manyFrecenciesChanged fix sounds like feasible
<Gijs> yes, I already have a local modification and it seems to not crash and burn terribly
...
<Gijs> that sounds like the maximum we can do for beta, then...
<Gijs> even on my fast machine importing ~24000 items takes  minutes right now
<Gijs> which ideally I'd like to improve
<Gijs> but if it can not hang the UI while it's doing it, I guess it might be OK to wait with that
...
<dao> we can still cap the amount of history we import (again, potentially limited to beta)
...
<Gijs> dao: ok! Feel free to ping me with questions or something... I think for Chrome you basically just want to update this query:  to ignore items from before a certain date, and potentially sort by date and limit to a certain number of items, or something
